The BOM Creator Item object

Attributes

id string

Unique identifier for the object.

idx integer
bom_creator_id string required
item_code string required
item_name string
item_group string
fg_item string required
is_expandable boolean

Default: false

description string
qty number
rate number
uom string
stock_qty number
conversion_factor number
stock_uom string
amount number
do_not_explode boolean

Default: true

instruction string
base_amount number
base_rate number
sourced_by_supplier boolean

Default: false

fg_reference_id string
parent_row_no string
bom_created boolean

Default: false

operation string
is_subcontracted boolean

Default: false

is_phantom_item boolean

Default: false

The BOM Creator Item object
{
  "id": "b-o-m-creator-item_abc123",
  "idx": 1,
  "bom_creator_id": "bom_creator_id_example",
  "item_code": "item_code_example",
  "item_name": "item_name_example",
  "item_group": "item_group_example",
  "fg_item": "fg_item_example",
  "is_expandable": false,
  "description": "description_example",
  "qty": 0,
  "rate": 0,
  "uom": "uom_example",
  "stock_qty": 0,
  "conversion_factor": 0,
  "stock_uom": "stock_uom_example",
  "amount": 0,
  "do_not_explode": true,
  "instruction": "instruction_example",
  "base_amount": 0,
  "base_rate": 0,
  "sourced_by_supplier": false,
  "fg_reference_id": "fg_reference_id_example",
  "parent_row_no": "parent_row_no_example",
  "bom_created": false,
  "operation": "operation_example",
  "is_subcontracted": false,
  "is_phantom_item": false
}
GET /api/manufacturing/b-o-m-creator-item?parent_id={id}

List bom creator items by parent

Returns all bom creator items belonging to the specified parent.

Query parameters

parent_id string required

The ID of the parent to list children for.

Returns

A list of bom creator item objects belonging to the parent.

GET /api/manufacturing/b-o-m-creator-item?parent_id={id}
curl https://api.overplane.dev/api/manufacturing/b-o-m-creator-item?parent_id=parent_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "b-o-m-creator-item_abc123",
      "idx": 1,
      "bom_creator_id": "bom_creator_id_example",
      "item_code": "item_code_example",
      "item_name": "item_name_example",
      "item_group": "item_group_example",
      "fg_item": "fg_item_example",
      "is_expandable": false,
      "description": "description_example",
      "qty": 0,
      "rate": 0,
      "uom": "uom_example",
      "stock_qty": 0,
      "conversion_factor": 0,
      "stock_uom": "stock_uom_example",
      "amount": 0,
      "do_not_explode": true,
      "instruction": "instruction_example",
      "base_amount": 0,
      "base_rate": 0,
      "sourced_by_supplier": false,
      "fg_reference_id": "fg_reference_id_example",
      "parent_row_no": "parent_row_no_example",
      "bom_created": false,
      "operation": "operation_example",
      "is_subcontracted": false,
      "is_phantom_item": false
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/manufacturing/b-o-m-creator-item

Create a bom creator item

Creates a new bom creator item object.

Body parameters

idx integer
bom_creator_id string required
item_code string required
item_name string
item_group string
fg_item string required
is_expandable boolean

Default: false

description string
qty number
rate number
uom string
stock_qty number
conversion_factor number
stock_uom string
amount number
do_not_explode boolean

Default: true

instruction string
base_amount number
base_rate number
sourced_by_supplier boolean

Default: false

fg_reference_id string
parent_row_no string
bom_created boolean

Default: false

operation string
is_subcontracted boolean

Default: false

is_phantom_item boolean

Default: false

Returns

Returns the newly created bom creator item object if the call succeeded.

POST /api/manufacturing/b-o-m-creator-item
curl https://api.overplane.dev/api/manufacturing/b-o-m-creator-item \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"bom_creator_id":"bom_creator_id_example","item_code":"item_code_example","fg_item":"fg_item_example"}'
Response
{
  "id": "b-o-m-creator-item_abc123",
  "idx": 1,
  "bom_creator_id": "bom_creator_id_example",
  "item_code": "item_code_example",
  "item_name": "item_name_example",
  "item_group": "item_group_example",
  "fg_item": "fg_item_example",
  "is_expandable": false,
  "description": "description_example",
  "qty": 0,
  "rate": 0,
  "uom": "uom_example",
  "stock_qty": 0,
  "conversion_factor": 0,
  "stock_uom": "stock_uom_example",
  "amount": 0,
  "do_not_explode": true,
  "instruction": "instruction_example",
  "base_amount": 0,
  "base_rate": 0,
  "sourced_by_supplier": false,
  "fg_reference_id": "fg_reference_id_example",
  "parent_row_no": "parent_row_no_example",
  "bom_created": false,
  "operation": "operation_example",
  "is_subcontracted": false,
  "is_phantom_item": false
}
PATCH /api/manufacturing/b-o-m-creator-item/{id}

Update a bom creator item

Updates the specified bom creator item by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the bom creator item to update.

Body parameters

idx integer
bom_creator_id string
item_code string
item_name string
item_group string
fg_item string
is_expandable boolean

Default: false

description string
qty number
rate number
uom string
stock_qty number
conversion_factor number
stock_uom string
amount number
do_not_explode boolean

Default: true

instruction string
base_amount number
base_rate number
sourced_by_supplier boolean

Default: false

fg_reference_id string
parent_row_no string
bom_created boolean

Default: false

operation string
is_subcontracted boolean

Default: false

is_phantom_item boolean

Default: false

Returns

Returns the updated bom creator item object.

PATCH /api/manufacturing/b-o-m-creator-item/{id}
curl https://api.overplane.dev/api/manufacturing/b-o-m-creator-item/b-o-m-creator-item_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"idx":1,"bom_creator_id":"bom_creator_id_example"}'
Response
{
  "id": "b-o-m-creator-item_abc123",
  "idx": 1,
  "bom_creator_id": "bom_creator_id_example",
  "item_code": "item_code_example",
  "item_name": "item_name_example",
  "item_group": "item_group_example",
  "fg_item": "fg_item_example",
  "is_expandable": false,
  "description": "description_example",
  "qty": 0,
  "rate": 0,
  "uom": "uom_example",
  "stock_qty": 0,
  "conversion_factor": 0,
  "stock_uom": "stock_uom_example",
  "amount": 0,
  "do_not_explode": true,
  "instruction": "instruction_example",
  "base_amount": 0,
  "base_rate": 0,
  "sourced_by_supplier": false,
  "fg_reference_id": "fg_reference_id_example",
  "parent_row_no": "parent_row_no_example",
  "bom_created": false,
  "operation": "operation_example",
  "is_subcontracted": false,
  "is_phantom_item": false
}
DELETE /api/manufacturing/b-o-m-creator-item/{id}

Delete a bom creator item

Permanently deletes a bom creator item. This cannot be undone.

Path parameters

id string required

The identifier of the bom creator item to delete.

Returns

Returns a confirmation that the bom creator item has been deleted.

DELETE /api/manufacturing/b-o-m-creator-item/{id}
curl https://api.overplane.dev/api/manufacturing/b-o-m-creator-item/b-o-m-creator-item_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "b-o-m-creator-item_abc123",
  "deleted": true
}
POST /api/manufacturing/b-o-m-creator-item/reorder

Reorder bom creator items

Updates the sort order of bom creator items within their parent by setting new index values.

Returns

Returns the reordered list.

POST /api/manufacturing/b-o-m-creator-item/reorder
curl https://api.overplane.dev/api/manufacturing/b-o-m-creator-item/reorder \
  -H "Authorization: Bearer sk_test_..." \
  -X POST
Response
{
  "id": "b-o-m-creator-item_abc123",
  "idx": 1,
  "bom_creator_id": "bom_creator_id_example",
  "item_code": "item_code_example",
  "item_name": "item_name_example",
  "item_group": "item_group_example",
  "fg_item": "fg_item_example",
  "is_expandable": false,
  "description": "description_example",
  "qty": 0,
  "rate": 0,
  "uom": "uom_example",
  "stock_qty": 0,
  "conversion_factor": 0,
  "stock_uom": "stock_uom_example",
  "amount": 0,
  "do_not_explode": true,
  "instruction": "instruction_example",
  "base_amount": 0,
  "base_rate": 0,
  "sourced_by_supplier": false,
  "fg_reference_id": "fg_reference_id_example",
  "parent_row_no": "parent_row_no_example",
  "bom_created": false,
  "operation": "operation_example",
  "is_subcontracted": false,
  "is_phantom_item": false
}